/*=======================================================*/
/*  TVMALLOW.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVwin_allow  allow specific DESQview user commands    */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_allow(OBJECT win,int command)
{
   static BYTE allow_stream[] = { S_MANAGER(1), 0 } ;

   allow_stream[4] = command | MS_ALLOW ;
   TVwin_stream(win,allow_stream) ;
}

/*=======================================================*/
/* TVwin_disallow  disallow specific DESQview user cmds  */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVwin_disallow(OBJECT win,int command)
{
   static BYTE disallow_stream[] = { S_MANAGER(1), 0 } ;

   disallow_stream[4] = command | MS_DISALLOW ;
   TVwin_stream(win,disallow_stream) ;
}

/* End of TVMALLOW.C */
